LAMMPS WWW Site - LAMMPS Documentation - LAMMPS Commands

### angle_style cosine/squared command

Syntax:

    angle_style cosine/squared

Examples:

    angle_style cosine/squared
    angle_coeff 2*4 75.0 100.0

Description:

The cosine/squared angle style uses the potential

where theta0 is the equilibrium value of the angle, and K is a prefactor. Note that the usual 1/2 factor is included in K.

The following coefficients must be defined for each angle type via the angle_coeff command as in the example above, or in the data file or restart files read by the read_data or read_restart commands:

- K (energy)
- theta0 (degrees)

Theta0 is specified in degrees, but LAMMPS converts it to radians internally.

Restrictions:

This angle style can only be used if LAMMPS was built with the "molecular" package (which it is by default). See the Making LAMMPS section for more info on packages.

Related commands:

angle_coeff

Default: none